final: prev:
with final;
with final.lib;
let
  mapAttrs = prev.stdenv.lib.mapAttrs;
  flip = prev.stdenv.lib.flip;
  callPackage = prev.lib.callPackageWith final;
  _self = {
    xPlaneEnv = callPackage ./x-plane { xplanePathStr = "/home/games/xplane";
      addons = [ headshake beautifulRoads samBasic samGlobalTrees flyWithLua vividSky airportEnvHD betterLights extendedNightLights toLissA321 ]; };
    xPlane12Env = callPackage ./x-plane { xplanePathStr = "/home/games/xplane12"; name = "x-plane12-env";
      addons = [ x-world-vegetation ]; };
    xPlaneSDK = callPackage ./x-plane/sdk.nix {};
    ortho4xp = callPackage ./x-plane/ortho4XPWrapper.nix { orthoPathStr = "/home/games/ortho4xp"; };

    # X-Plane 11
    airportEnvHD = callPackage ./x-plane/airport-env-hd.nix {};
    beautifulRoads = callPackage ./x-plane/beautiful-roads.nix {};
    betterLights = callPackage ./x-plane/better-lights.nix {};
    extendedNightLights = callPackage ./x-plane/enl {};
    flyWithLua = callPackage ./x-plane/fly-with-lua.nix {};
    headshake = callPackage ./x-plane/headshake {};
    mkXPlaneAddon = callPackage ./x-plane/addon.nix {};
    samSuite = callPackage ./x-plane/sam-suite {};
    samBasic = callPackage ./x-plane/sam-suite/sam-basic.nix {};
    samGlobalTrees = callPackage ./x-plane/sam-suite/global-trees.nix {};
    toLissA321 = callPackage ./x-plane/toliss-A321.nix {};
    vividSky = callPackage ./x-plane/vivid-sky.nix {};

    # X-Plane 12
    x-world-vegetation = callPackage ./x-plane/simHeaven/x-world-vegetation.nix {};

    pdfchain = callPackage ./pdfchain { };
    prism = callPackage ./prism.nix {};
    lp_solve_java = callPackage ./lp_solve_java.nix {};
    # z3 = callPackage ./z3 { };
    # stormChecker = callPackage ./storm-checker { ltoSupport = false; tbbSupport = false; mathsatSupport = false; z3Support = false; };
    # carl = callPackage ./carl { };
    # googletest = callPackage ./googletest { };
    # l3pp = callPackage ./l3pp { };
    # mathsat = callPackage ./mathsat { };

    factor-lang = callPackage ./factor-lang/scope.nix { stdenv = prev.clangStdenv; };

    foxitreader = callPackage ./foxitreader.nix { openssl = prev.openssl_1_0_2; };

    pharo-with-libs = callPackage ./pharo.nix { libgit2_32 = prev.pkgsi686Linux.libgit2; };

    myR = prev.rWrapper.override { packages = with prev.rPackages; [ ggplot2 lintr tikzDevice rlang ]; };
    ledgerTools = callPackage ./ledger-tools { };
    tea = callPackage ./tea.nix {};
    goredo = callPackage ./goredo {};
  };
in _self
