{ stdenv, gnupg, ledger, writeScriptBin }:

stdenv.mkDerivation {
  pname = "ledger-tools";
  version = "2";

  phases = [ "installPhase" "fixupPhase" ];

  binpath = stdenv.lib.makeBinPath [ gnupg ]; # use ledger once in nixpkgs
  installPhase = ''
    mkdir -p $out/bin
    cp ${./ledger-camt-csv} $out/bin/ledger-camt-csv
    substituteAllInPlace $out/bin/ledger-camt-csv
    chmod +x $out/bin/*
  '';

  meta = with stdenv.lib; {
    description = "ledger tools";
    maintainers = with maintainers; [ spacefrogg ];
  };
}
