{ stdenv, mkXPlaneAddon }:

mkXPlaneAddon rec {
  pname = "toliss-A321";
  version = "1.2";
  fname = "ToLissA321_V1p2.zip";
  sha256 = "08f2gsb3kima6i3k51h72hkr2rpklsbvmwr1vk121k8q6bxswyyh";
  forumlink = "https://forums.x-plane.org/index.php?/forums/forum/534-airbus-a321/";
  buildCommand = ''
    mkdir -p $out
    cd $out
    unzip $src
  '';
  passthru = {
    build = ''
      ln -s $ADDONPATH $out/xplane-extra/ToLiss-A321
    '';
    prepare = ''
      mkdir -p "$XPLANEPATH/Aircraft/ToLiss/ToLiss_A321"
      for f in /xplane-extra/ToLiss-A321/*/*; do
        cp -r --no-preserve=mode "$f" "$XPLANEPATH/Aircraft/ToLiss/ToLiss_A321"
      done
    '';
    revert = ''
      rm -fr "$XPLANEPATH/Aircraft/ToLiss/ToLiss_A321"
      rmdir "$XPLANEPATH/Aircraft/ToLiss" || true
    '';
  };
}
